ATRUN(8)

NAME
atrun - run jobs queued for later execution

SYNOPSIS
atrun [-l load_avg] [-d]

DESCRIPTION
Atrun runs jobs queued by at(1). Root's crontab(5) file /etc/crontab has to contain the line
*/5     *       *       *       *       root    _ATLIB_DIR/atrun
so atrun(8) gets called every five minutes.

At every invocation, every job in lowercase queues whose starting time has passed is started. A maximum of one batch jobs (denoted by uppercase queues) are started each time atrun is invoked.

OPTIONS

-l load_avg
    Specifies a limiting load factor, over which batch jobs should not be run, instead of the compiled - in value of _LOADAVG_MX.

-d  Debug; print error messages to standard error instead of using syslog(3).

WARNINGS
For atrun to work, you have to start up a cron(8) daemon.

FILES
_ATSPOOL_DIR
    Directory containing output spool files
_ATJOB_DIR
    Directory containing job files

SEE ALSO
cron(8), crontab(1), crontab(5), at(1), syslog(3).

BUGS
The functionality of atrun should be merged into cron(8).